LibreOffice LibreOffice 4.3 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Public Member Functions | List of all members
cppu::WeakAggComponentImplHelper5< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5 > Class Template Reference

Implementation helper supporting com::sun::star::lang::XTypeProvider and com::sun::star::lang::XComponent. More...

`#include <compbase5.hxx>`

Inheritance diagram for cppu::WeakAggComponentImplHelper5< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5 >:

## Public Member Functions
| WeakAggComponentImplHelper5 (::osl::Mutex &rMutex) throw ()
virtual ::com::sun::star::uno::Any | queryInterface (::com::sun::star::uno::Type const &rType) SAL_OVERRIDE throw (::com::sun::star::uno::RuntimeException, std::exception)
virtual ::com::sun::star::uno::Any | queryAggregation (::com::sun::star::uno::Type const &rType) SAL_OVERRIDE throw (::com::sun::star::uno::RuntimeException, std::exception)
virtual void | acquire () SAL_OVERRIDE throw ()
virtual void | release () SAL_OVERRIDE throw ()
virtual ::com::sun::star::uno::Sequence < ::com::sun::star::uno::Type > | getTypes () SAL_OVERRIDE throw (::com::sun::star::uno::RuntimeException, std::exception)
virtual ::com::sun::star::uno::Sequence < sal_Int8 > | getImplementationId () SAL_OVERRIDE throw (::com::sun::star::uno::RuntimeException, std::exception)

## Detailed Description

### template<class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5>
class cppu::WeakAggComponentImplHelper5< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5 >

Implementation helper supporting com::sun::star::lang::XTypeProvider and com::sun::star::lang::XComponent.

Upon disposing objects of this class, sub-classes receive a disposing() call. Objects of this class can be held weakly, i.e. by a com::sun::star::uno::WeakReference. Object of this class can be aggregated, i.e. incoming queryInterface() calls are delegated.

Attention
  The life-cycle of the passed mutex reference has to be longer than objects of this class.

Derive:

Inherit from this class giving your interface(s) to be implemented as template argument(s). Your sub class defines method implementations for these interface(s).

Deprecated:

## Constructor & Destructor Documentation

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 >

cppu::WeakAggComponentImplHelper5< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5 >::WeakAggComponentImplHelper5 | ( | ::osl::Mutex & | rMutex | ) |
throw | ( |
| ) |  |
| inline

## Member Function Documentation

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 >

virtual void cppu::WeakAggComponentImplHelper5< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5 >::acquire | ( |  | ) |
throw | ( |
| ) |  |
| inline virtual

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 >

virtual ::com::sun::star::uno::Sequence< sal_Int8 > cppu::WeakAggComponentImplHelper5< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5 >::getImplementationId | ( |  | ) |
throw | ( | ::com::sun::star::uno::RuntimeException,
|  | std::exception
| ) |  |
| inline

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 >

virtual ::com::sun::star::uno::Sequence< ::com::sun::star::uno::Type > cppu::WeakAggComponentImplHelper5< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5 >::getTypes | ( |  | ) |
throw | ( | ::com::sun::star::uno::RuntimeException,
|  | std::exception
| ) |  |
| inline

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 >

virtual ::com::sun::star::uno::Any cppu::WeakAggComponentImplHelper5< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5 >::queryAggregation | ( | ::com::sun::star::uno::Type const & | rType | ) |
throw | ( | ::com::sun::star::uno::RuntimeException,
|  | std::exception
| ) |  |
| inline

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 >

virtual ::com::sun::star::uno::Any cppu::WeakAggComponentImplHelper5< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5 >::queryInterface | ( | ::com::sun::star::uno::Type const & | rType | ) |
throw | ( | ::com::sun::star::uno::RuntimeException,
|  | std::exception
| ) |  |
| inline

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 >

virtual void cppu::WeakAggComponentImplHelper5< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5 >::release | ( |  | ) |
throw | ( |
| ) |  |
| inline virtual

The documentation for this class was generated from the following file:

- cppuhelper/compbase5.hxx